<template>
<v-app>
  <v-container>
    <h2 class="my-3">Gestion des vitrines</h2>
      <table class="center" border="1"> <!-- Récupération des catégories ajoutés dans la base -->
      <tr>
        <th>Nom</th>
        <th>Objets</th>
      </tr>
      <tr v-for="vitrine in vitrines" :key="vitrine.uuidvitrine">
        <td>{{ vitrine.nomvitrine }}</td>
        <td>{{ vitrine.uuidobjet }}</td>
      </tr>
    </table>
    <br>
    <h3>Ajouter une vitrine</h3>
    <v-layout column wrap>
      <v-layout row wrap>
        <v-flex md4>
          <v-text-field v-model="libellevitrine" label="Libellé de la vitrine"></v-text-field>
        </v-flex>
      </v-layout>
      <v-layout row>
        <v-flex md6>
          <table border="1">
            <tr>
              <td v-for="select in selectObjets" :key="select">{{select}}</td>
            </tr>
          </table>
          <img src="/src/assets/rangement.jpg" usemap="#map_objet"/>
          <map name="map_objet">
            <area shape="rect" coords="60, 80, 100, 50" alt="Clique image"/>
          </map>
        </v-flex>
        <v-flex md2>
          <h3>Liste des objets :</h3>
          <v-checkbox  v-for="objet in objets" :key="objet.uuidobjet" :label="objet.nomobjet" v-model="selectObjets" :value="objet.uuidobjet"></v-checkbox>
          <v-btn outline color="light-green darken-2" v-on:click="addVitrine()">Ajouter</v-btn>
        </v-flex>
      </v-layout>
      <v-flex md4 offset-md1>
        <form method="POST" enctype="multipart/form-data">
          <p>Sélectionner une image</p>
          <input id="file" type="file" name="file" accept="image/*">
        </form>
      </v-flex>
    </v-layout>
    <br>
    <h3>Modifier une vitrine</h3>
    <v-layout row>
      <v-flex md4>
        <v-select label="Modifier une vitrine" v-model="idVitrine" :items="vitrines" item-text="nomvitrine" item-value="uuidvitrine"></v-select>
      </v-flex>
      <v-flex offset-md1>
        <v-btn outline color="primary">Choisir</v-btn>
      </v-flex>
    </v-layout>
    <br>
    <h3>Supprimer une vitrine</h3>
    <v-layout row>
      <v-flex md4>
        <v-select label="Supprimer une vitrine" v-model="supprimeVitrine" :items="vitrines" item-text="nomvitrine" item-value="uuidvitrine"></v-select>
      </v-flex>
      <v-flex offset-md1>
        <v-btn outline color="error" @click.native.stop="dialog = true">Supprimer</v-btn>
      </v-flex>
    </v-layout>
    <v-dialog v-model="dialog" max-width="350">
      <v-card>
        <v-card-title class="headline">Confirmation de suppression</v-card-title>
        <v-card-text>Etes-vous sûr de vouloir supprimer cette vitrine ?</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green darken-1" flat="flat" @click.native="dialog = false">Annuler</v-btn>
          <v-btn color="error" flat="flat" v-on:click="deleteVitrine()" @click.native="dialog = false">Supprimer</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-container>
  </v-app>
</template>

<script>
export default {
  data () {
    return {
      objets: [],
      selectObjets: [],
      vitrines: [],
      libellevitrine: '',
      dialog: false,
      supprimeVitrine: '',
      idVitrine: ''
    }
  },
  mounted: function () {
    this.getVitrine()
  },
  methods: {
    getVitrine: function () {
      this.$http.get('http://localhost:3000/objet')
      .then(response => {
        this.objets = response.data
      })
      this.$http.get('http://localhost:3000/vitrine')
      .then(response => {
        this.vitrines = response.data
      })
    },
    addVitrine: function () {
      if (this.libellevitrine === '') {
        alert('Saisir le nom de la vitrine !')
      } else {
        console.log('POST VITRINE: ', this.libellevitrine, this.choixObjet)
        const vitrine = {
          nom: this.libellevitrine,
          objet: this.selectObjets
        }
        console.log('POST ', vitrine)
        this.$http.post('http://localhost:3000/vitrine', vitrine)
          .then(response => {
            console.log('POST : ', response)
            this.getVitrine()
          })
      }
    },
    putVitrine: function () {

    },
    deleteVitrine: function () {
      if (this.supprimeVitrine === '') {
        alert('Veillez choisir une vitrine avant de supprimer')
      } else {
        this.$http.delete('http://localhost:3000/vitrine/' + this.supprimeVitrine)
        .then(response => {
          console.log('DELETE :', response)
          this.getCategories()
        })
      }
    }
  }
}
</script>

<style>
img {
  width: 50%;
  height: 100%;
  position: relative;
}
</style>
